export PYTHON_EGG_CACHE=/home/$(whoami)/.python-eggs
export link_folder=/tmp/impala-shell-python-egg-cache-$(whoami)
if ! [ -L $link_folder ]
then
    rm -Rf "$link_folder"
    ln -sfn ${PYTHON_EGG_CACHE}${link_folder} ${link_folder}
fi

export SOURCE=$1
export PRODUCTION=$2

#echo "Updating ${PRODUCTION} database"
#impala-shell -q "create database if not exists ${PRODUCTION}"
#impala-shell -d ${PRODUCTION} -q "show tables" --delimited | sed "s/^/drop view if exists ${PRODUCTION}./" | sed "s/$/;/" | impala-shell -c -f -
#impala-shell -d ${SOURCE} -q "show tables" --delimited | sed "s/\(.*\)/create view ${PRODUCTION}.\1 as select * from ${SOURCE}.\1;/" | impala-shell -c -f -
#echo "Production db ready!"

echo "Updating ${PRODUCTION} database"
impala-shell -q "create database if not exists ${PRODUCTION}"
impala-shell -d ${PRODUCTION} -q "DROP VIEW IF EXISTS ${PRODUCTION}.views_stats;"
impala-shell -d ${PRODUCTION} -q "CREATE VIEW ${PRODUCTION}.views_stats as SELECT * from ${SOURCE}.views_stats;"
impala-shell -d ${PRODUCTION} -q "INVALIDATE METADATA ${PRODUCTION}.views_stats;"
impala-shell -d ${PRODUCTION} -q "DROP VIEW IF EXISTS ${PRODUCTION}.pageviews_stats;"
impala-shell -d ${PRODUCTION} -q "CREATE VIEW ${PRODUCTION}.pageviews_stats as SELECT * from ${SOURCE}.pageviews_stats;"
impala-shell -d ${PRODUCTION} -q "CREATE VIEW ${PRODUCTION}.pageviews_stats as SELECT * from ${SOURCE}.pageviews_stats;"
impala-shell -d ${PRODUCTION} -q "INVALIDATE METADATA ${PRODUCTION}.pageviews_stats;"
impala-shell -d ${PRODUCTION} -q "DROP VIEW IF EXISTS ${PRODUCTION}.downloads_stats;"
impala-shell -d ${PRODUCTION} -q "CREATE VIEW ${PRODUCTION}.downloads_stats as SELECT * from ${SOURCE}.downloads_stats;"
impala-shell -d ${PRODUCTION} -q "INVALIDATE METADATA ${PRODUCTION}.downloads_stats;"
impala-shell -d ${PRODUCTION} -q "DROP VIEW IF EXISTS ${PRODUCTION}.usage_stats;"
impala-shell -d ${PRODUCTION} -q "CREATE VIEW ${PRODUCTION}.usage_stats as SELECT * from ${SOURCE}.usage_stats;"
impala-shell -d ${PRODUCTION} -q "INVALIDATE METADATA ${PRODUCTION}.usage_stats;"
impala-shell -d ${PRODUCTION} -q "DROP VIEW IF EXISTS ${PRODUCTION}.project_stats;"
impala-shell -d ${PRODUCTION} -q "CREATE VIEW ${PRODUCTION}.project_stats as SELECT * from ${SOURCE}.project_stats;"
impala-shell -d ${PRODUCTION} -q "INVALIDATE METADATA ${PRODUCTION}.project_stats;"
impala-shell -d ${PRODUCTION} -q "DROP VIEW IF EXISTS ${PRODUCTION}.datasource_stats;"
impala-shell -d ${PRODUCTION} -q "CREATE VIEW ${PRODUCTION}.datasource_stats as SELECT * from ${SOURCE}.datasource_stats;"
impala-shell -d ${PRODUCTION} -q "INVALIDATE METADATA ${PRODUCTION}.datasource_stats;"
impala-shell -d ${PRODUCTION} -q "DROP VIEW IF EXISTS ${PRODUCTION}.counter_r5_stats_with_metrics;"
impala-shell -d ${PRODUCTION} -q "CREATE VIEW ${PRODUCTION}.counter_r5_stats_with_metrics as SELECT * from ${SOURCE}.counter_r5_stats_with_metrics;"
impala-shell -d ${PRODUCTION} -q "INVALIDATE METADATA ${PRODUCTION}.counter_r5_stats_with_metrics;"
echo "Production db ready!"
